## linux-euclid 4.4.0-9016.16

=== drivers/net/wireless/bcmdhd/Makefile ===
# bcmdhd
# 1. WL_IFACE_COMB_NUM_CHANNELS must be added if Android version is 4.4 with Kernel version 3.0~3.4,
#    otherwise please remove it.

#CONFIG_BCMDHD := m
#CONFIG_BCMDHD_SDIO := y
#CONFIG_BCMDHD_PCIE := y
CONFIG_BCMDHD_OOB := y
CONFIG_MACH_INTEL_ANDROID := y

DHDCFLAGS = -Wall -Wstrict-prototypes -Dlinux -DBCMDRIVER -DSDTEST       \
	-DBCMDONGLEHOST -DUNRELEASEDCHIP -DBCMDMA32 -DBCMFILEIMAGE            \
	-DDHDTHREAD -DDHD_DEBUG -DSHOW_EVENTS -DBCMDBG -DGET_OTP_MAC_ENABLE   \
	-DWIFI_ACT_FRAME -DARP_OFFLOAD_SUPPORT -DSUPPORT_PM2_ONLY             \
	-DKEEP_ALIVE -DPKT_FILTER_SUPPORT -DPNO_SUPPORT -DDHDTCPACK_SUPPRESS  \
	-DDHD_DONOT_FORWARD_BCMEVENT_AS_NETWORK_PKT -DRXFRAME_THREAD          \
	-DTSQ_MULTIPLIER                                                      \
	-DBCMSDIOH_TXGLOM_EXT -DWL_EXT_IAPSTA                                 \
	-DENABLE_INSMOD_NO_FW_LOAD                                            \
	-DENABLE_TDLS_AUTO_MODE                                               \
	-Idrivers/net/wireless/bcmdhd -Idrivers/net/wireless/bcmdhd/include   \

DHDOFILES = aiutils.o siutils.o sbutils.o bcmutils.o bcmwifi_channels.o \
	dhd_linux.o dhd_linux_platdev.o dhd_linux_sched.o dhd_pno.o \
	dhd_common.o dhd_ip.o dhd_linux_wq.o dhd_custom_gpio.o \
	bcmevent.o hndpmu.o linux_osl.o wldev_common.o wl_android.o \
	hnd_pktq.o hnd_pktpool.o dhd_config.o wl_android_ext.o

ifneq ($(CONFIG_BCMDHD_SDIO),)
DHDCFLAGS += \
	-DBCMSDIO -DMMC_SDIO_ABORT -DBCMLXSDMMC -DUSE_SDIOFIFO_IOVAR          \
	-DBDC -DPROP_TXSTATUS -DDHD_USE_IDLECOUNT -DBCMSDIOH_TXGLOM           \
	-DCUSTOM_SDIO_F2_BLKSIZE=128

DHDOFILES += bcmsdh.o bcmsdh_linux.o bcmsdh_sdmmc.o bcmsdh_sdmmc_linux.o \
	dhd_sdio.o dhd_cdc.o dhd_wlfc.o

ifeq ($(CONFIG_BCMDHD_OOB),y)
DHDCFLAGS += -DOOB_INTR_ONLY -DCUSTOMER_OOB
ifeq ($(CONFIG_BCMDHD_DISABLE_WOWLAN),y)
DHDCFLAGS += -DDISABLE_WOWLAN
endif
else
DHDCFLAGS += -DSDIO_ISR_THREAD
endif
endif

ifneq ($(CONFIG_BCMDHD_PCIE),)
DHDCFLAGS += \
	-DPCIE_FULL_DONGLE -DBCMPCIE -DCUSTOM_DPC_PRIO_SETTING=-1

DHDOFILES += dhd_pcie.o dhd_pcie_linux.o pcie_core.o dhd_flowring.o \
	dhd_msgbuf.o
endif

obj-$(CONFIG_BCMDHD) += bcmdhd.o
bcmdhd-objs += $(DHDOFILES)

ifeq ($(CONFIG_MACH_PLATFORM),y)
DHDOFILES += dhd_gpio.o
DHDCFLAGS += -DCUSTOMER_HW -DDHD_OF_SUPPORT
#DHDCFLAGS += -DBCMWAPI_WPI -DBCMWAPI_WAI
endif

ifeq ($(CONFIG_MACH_INTEL_ANDROID),y)
DHDOFILES += dhd_gpio.o
DHDCFLAGS += -DBUS_POWER_RESTORE -DUSE_ACPI -DCUSTOMER_HW_INTEL
#DHDCFLAGS += -DCUSTOMER_INTEL_BYT
#comment by xiayang
#DHDCFLAGS += -DCONFIG_BCMDHD_FW_PATH=\"/system/etc/firmware/fw_bcmdhd.bin\"
#DHDCFLAGS += -DCONFIG_BCMDHD_NVRAM_PATH=\"/system/etc/firmware/nvram.txt\"
#comment end by xiayang
#DHDCFLAGS += -DBCMWAPI_WPI -DBCMWAPI_WAI
endif

ifeq ($(CONFIG_BCMDHD_AG),y)
DHDCFLAGS += -DBAND_AG
endif

ifeq ($(CONFIG_DHD_USE_STATIC_BUF),y)
obj-m += dhd_static_buf.o
DHDCFLAGS += -DSTATIC_WL_PRIV_STRUCT -DENHANCED_STATIC_BUF
endif

ifneq ($(CONFIG_WIRELESS_EXT),)
DHDOFILES += wl_iw.o wl_escan.o
DHDCFLAGS += -DSOFTAP -DWL_WIRELESS_EXT -DUSE_IW -DWL_ESCAN
endif
ifneq ($(CONFIG_CFG80211),)
DHDOFILES += wl_cfg80211.o wl_cfgp2p.o wl_linux_mon.o wl_cfg_btcoex.o wl_cfgvendor.o
DHDOFILES += dhd_cfg80211.o dhd_cfg_vendor.o
DHDCFLAGS += -DWL_CFG80211 -DWLP2P -DWL_CFG80211_STA_EVENT -DWL_ENABLE_P2P_IF
DHDCFLAGS += -DWL_IFACE_COMB_NUM_CHANNELS
DHDCFLAGS += -DCUSTOM_ROAM_TRIGGER_SETTING=-65
DHDCFLAGS += -DCUSTOM_ROAM_DELTA_SETTING=15
DHDCFLAGS += -DCUSTOM_KEEP_ALIVE_SETTING=28000
DHDCFLAGS += -DCUSTOM_PNO_EVENT_LOCK_xTIME=7
DHDCFLAGS += -DWL_SUPPORT_AUTO_CHANNEL
DHDCFLAGS += -DWL_SUPPORT_BACKPORTED_KPATCHES
DHDCFLAGS += -DESCAN_RESULT_PATCH
DHDCFLAGS += -DVSDB -DWL_CFG80211_VSDB_PRIORITIZE_SCAN_REQUEST
DHDCFLAGS += -DWLTDLS -DMIRACAST_AMPDU_SIZE=8 -DPROP_TXSTATUS_VSDB
endif
EXTRA_CFLAGS = $(DHDCFLAGS)
ifeq ($(CONFIG_BCMDHD),m)
DHDCFLAGS += -DMULTIPLE_SUPPLICANT
EXTRA_LDFLAGS += --strip-debug
else
DHDCFLAGS += -DBUILD_IN_KERNEL
endif

=== debian/changelog ===
linux-euclid (4.4.0-9016.16) xenial; urgency=low

  * Kernel for Euclid image release

 -- Wen-chien Jesse Sung <jesse.sung@canonical.com>  Thu, 30 Mar 2017 05:45:00 +0800

=== debian/control ===
Source: linux-euclid
Section: devel
Priority: optional
Maintainer: Sergio Aguirre <sergio.a.aguirre.rodriguez@intel.com>
Standards-Version: 3.9.4.0
Build-Depends:
 debhelper (>= 5),
 dh-systemd,
 cpio,
 kernel-wedge,
 kmod <!stage1>,
 makedumpfile [amd64 i386] <!stage1>,
 libelf-dev <!stage1>,
 libnewt-dev <!stage1>,
 libiberty-dev <!stage1>,
 rsync <!stage1>,
 libdw-dev <!stage1>,
 libpci-dev <!stage1>,
 pkg-config <!stage1>,
 flex <!stage1>,
 bison <!stage1>,
 libunwind8-dev [amd64 arm64 armhf i386 powerpc ppc64el] <!stage1>,
 binutils-dev <!stage1>,
 liblzma-dev <!stage1>,
 openssl <!stage1>,
 libssl-dev <!stage1>,
 libaudit-dev <!stage1>,
 bc <!stage1>,
 python-dev <!stage1>,
 gawk <!stage1>,
 device-tree-compiler [powerpc] <!stage1>,
 u-boot-tools [powerpc] <!stage1>,
 libc6-dev-ppc64 [powerpc] <!stage1>,
 libudev-dev <!stage1>,
 autoconf <!stage1>,
 automake <!stage1>,
 libtool <!stage1>,
 uuid-dev <!stage1>,
Build-Depends-Indep:
 xmlto <!stage1>,
 docbook-utils <!stage1>,
 ghostscript <!stage1>,
 transfig <!stage1>,
 bzip2 <!stage1>,
 sharutils <!stage1>,
 asciidoc <!stage1>,
Vcs-Git: git@github.intel.com:saaguirr/e6t_bsp.git e6t-4.4-ubuntu
XS-Testsuite: autopkgtest
#XS-Testsuite-Depends: gcc-4.7 binutils

Package: linux-euclid-headers-4.4.0-9016
Build-Profiles: <!stage1>
Architecture: amd64
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils | fileutils (>= 4.0)
Description: Header files related to Linux kernel version 4.4.0
 This package provides kernel header files for version 4.4.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-euclid-headers-4.4.0-9016/debian.README.gz for details

Package: linux-euclid-tools-4.4.0-9016
Build-Profiles: <!stage1>
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux kernel version specific tools for version 4.4.0-9016
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 4.4.0-9016 on
 64 bit x86.
 You probably want to install linux-tools-4.4.0-9016-<flavour>.


Package: linux-image-4.4.0-9016-euclid
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [i386 amd64 x32]${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, initramfs-tools | linux-initramfs-tool, kmod
Recommends: grub-pc [i386 amd64 x32] | grub-efi-amd64 [amd64 x32] | grub-efi-ia32 [i386 amd64 x32] | grub [i386 amd64 x32] | lilo [i386 amd64 x32] | flash-kernel [armhf arm64] | grub-ieee1275 [ppc64el]
Suggests: fdutils, linux-euclid-doc-4.4.0 | linux-euclid-source-4.4.0, linux-euclid-tools, linux-headers-4.4.0-9016-euclid
Description: Linux kernel image for version 4.4.0 on 64 bit x86 SMP
 This package contains the Linux kernel image for version 4.4.0 on
 64 bit x86 SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports CS1Plus processors.
 .
 To be used with CS1+ board.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-euclid meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-image-extra-4.4.0-9016-euclid
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-4.4.0-9016-euclid, crda | wireless-crda
Description: Linux kernel extra modules for version 4.4.0 on 64 bit x86 SMP
 This package contains the Linux kernel extra modules for version 4.4.0 on
 64 bit x86 SMP.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports CS1Plus processors.
 .
 To be used with CS1+ board.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-euclid meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-4.4.0-9016-euclid
Build-Profiles: <!stage1>
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-euclid-headers-4.4.0-9016, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux kernel headers for version 4.4.0 on 64 bit x86 SMP
 This package provides kernel header files for version 4.4.0 on
 64 bit x86 SMP.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-4.4.0-9016/debian.README.gz for details.

Package: linux-image-4.4.0-9016-euclid-dbgsym
Build-Profiles: <!stage1>
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux kernel debug image for version 4.4.0 on 64 bit x86 SMP
 This package provides a kernel debug image for version 4.4.0 on
 64 bit x86 SMP.
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-tools-4.4.0-9016-euclid
Build-Profiles: <!stage1>
Architecture: amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-euclid-tools-4.4.0-9016
Description: Linux kernel version specific tools for version 4.4.0-9016
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 4.4.0-9016 on
 64 bit x86.
